Subject: bug#11757: Acknowledgement (24.1.50; vc-git calls `process-file' too many times)

From: Dmitry Gutov <[email-masked]>
Date: Tue, 26 Jun 2012 14:54:32 +0400

Update.

After setting vc-git-program explicitly to "C:/Program Files 
(x86)/Git/bin/git.exe" (by default, it was calling "C:/Program Files 
(x86)/Git/cmd/git.CMD"), the average time of git command calls went down 
from 0.2s to 0.03s, so the problem with Git is about 7 times less 
important now.

Still, the issue of redundant calls stands. With Mercurial, for example, 
it would bring the time taken by `vc-find-file-hook' from 0.3s to 0.2s.

And I'd love to see the thing with vc-git-program documented somewhere.
In http://www.gnu.org/software/emacs/windows/faq.html, maybe?

-- Dmitry